X2Go Bug report logs - #488
keystrokes.cfg: first entry in xml element list gets ignored

version graph

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Wed, 7 May 2014 06:40:02 UTC

Severity: important

Tags: pending

Found in version 3.5.0.23

Fixed in version 2:3.5.0.24

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, jean@gottschalk.us, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#488; Package nxagent. (Wed, 07 May 2014 06:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to jean@gottschalk.us, X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 07 May 2014 06:40:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: keystrokes.cfg: first entry in xml element list gets ignored
Date: Wed, 07 May 2014 06:38:01 +0000
[Message part 1 (text/plain, inline)]
Package: nxagent
Severity: important
Version: 3.5.0.23
X-Debbugs-Cc: jean@gottschalk.us

Below there is a hint to why people complain about NX keystroke  
configuration file failures.

Marking this issue as important as it has been bugging several people  
in the near past.

Mike


----- Weitergeleitete Nachricht von Jean Gottschalk <jean@gottschalk.us> -----
  Datum: Tue, 6 May 2014 22:44:01 -0700
    Von: Jean Gottschalk <jean@gottschalk.us>
Betreff: Re: [X2Go-User] CTRL+ALT+T not working in MATE
     An: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
     Cc: x2go-user@lists.berlios.de

After further investigation, I think there is another problem here: it
seems to me like the first shortcut in the keystrokes.cfg file is simply
being ignored.

If my file starts like this:

<!DOCTYPE NXKeystroke>
<keystrokes>
<keystroke action="close_session" Control="1" AltMeta= "1" key="c" />
<keystroke action="switch_all_screens" Control="1"  AltMeta= "1" key="f" />
<keystroke action="minimize" Control="1" AltMeta= "1" key="m" />

The CTRL+ALT+C action doesn't work.

But like this:

<!DOCTYPE NXKeystroke>
<keystrokes>
<keystroke action="close_session" Control="1" AltMeta= "1" key="c" />
<keystroke action="close_session" Control="1" AltMeta= "1" key="c" />
<keystroke action="switch_all_screens" Control="1"  AltMeta= "1" key="f" />
<keystroke action="minimize" Control="1" AltMeta= "1" key="m" />

it works just fine!

Could someone perhaps check the code and see if there is a bug in the
parser that ignores the first shortcut listed in the file?

PS: CTRL+ALT+T and CTRL+ALT+Z work just fine now, as long as I put them on
the second line of the file, and not the first!

Jean




On Tue, May 6, 2014 at 8:36 PM, Jean Gottschalk <jean@gottschalk.us> wrote:

> Hello,
>
> just wanted to inform the mailing list how I managed to resolve this issue:
>
> The key combinations CTRL+ALT+Z or CTRL+ALT+T had no effect in MATE, but
> CTRL+ALT+C worked.
>
> The correct location to put this into is /etc/x2go/keystrokes.cfg
> Note that this is keystrokes in plural, not singular as written in the
> wiki. Also the path is different from the one in the wiki (and I did not
> find a way to create a wiki account for myself, in order to correct this).
>
> Jean
>
>
> On Sat, Jan 11, 2014 at 9:35 AM, Jean Gottschalk <jean@gottschalk.us>wrote:
>
>> Mike,
>>
>> thank you for the quick reply, just to make sure that I understood
>> properly what you wanted me to do:
>> I went into /etc/x2go/keystrokes.cfg on the server, and changed:
>>
>> <keystroke action="close_session" Control="1" AltMeta= "1" key="t" />
>> to
>> <keystroke action="close_session" Control="1" AltMeta= "1" key="z" />
>>
>> Then, in doubt, I rebooted the entire server (and client), logged into a
>> new session, and neither CTRL+ALT+t nor CTRL+ALT+z will terminate my
>> session.
>>
>> What am I doing wrong?
>>
>> Jean
>>
>>
>> On Wed, Jan 8, 2014 at 1:58 AM, Mike Gabriel <
>> mike.gabriel@das-netzwerkteam.de> wrote:
>>
>>> Hi Jean
>>>
>>>
>>> On  Mi 08 Jan 2014 06:15:58 CET, Jean Gottschalk wrote:
>>>
>>>  Hello,
>>>>
>>>> I have recently upgraded my Ubuntu installation, which is running
>>>> x2goserver, to 13.10. I used to use GNOME as a window manager, but since
>>>> 13.10, gnome seems to require 3D acceleration and can no longer be used
>>>> with x2go, event in fallback mode (anyone, please tell me if you found a
>>>> way to make gnome work in 13.10).
>>>>
>>>> So I installed MATE and upgraded x2goserver to 4.0.1.11 (Unfortunately
>>>> both
>>>> at the same time).
>>>>
>>>> Since then, the keyboard shortcut CTRL + ALT + T (which is the only
>>>> shortcut I am using) is not longer working.
>>>> After x2goserver upgrade, I have files /etc/nxagent/keystrokes.cfg and
>>>> /etc/x2go/keystrokes.cfg (which were not there before) and they both
>>>> contain a definition for CTRL + ALT + T to terminate a session.
>>>>
>>>> Not sure what to do next. Is it perhaps a known issue that CTRL+ALT+T
>>>> does
>>>> not work in MATE, or perhaps a known issue in the current version of
>>>> x2goserver?
>>>>
>>>> Any advice is appreciated!
>>>>
>>>> Thank you!
>>>>
>>>> Jean
>>>>
>>>
>>> the described scenario is exactly the reason why one of the devs (arw
>>> from Uni Erlangen, Germany) provided the keystrokes.cfg patch.
>>>
>>> Put another hotkey combination into the keystrokes.cfg file for session
>>> termination (/etc/x2go/keystrokes.cfg) and then CTRL-ALT-T should work
>>> again in MATE.
>>>
>>> Mike
>>> --
>>>
>>> DAS-NETZWERKTEAM
>>> mike gabriel, herweg 7, 24357 fleckeby
>>> fon: +49 (1520) 1976 148
>>>
>>> GnuPG Key ID 0x25771B31
>>> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
>>>
>>> freeBusy:
>>> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-
>>> netzwerkteam.de.xfb
>>>
>>
>>
>

----- Ende der weitergeleiteten Nachricht -----

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#488; Package nxagent. (Wed, 07 May 2014 08:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 07 May 2014 08:00:02 GMT) Full text and rfc822 format available.

Message #10 received at 488@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 488-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 488@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Wed, 7 May 2014 09:59:33 +0200 (CEST)
tag #488 pending
fixed #488 2:3.5.0.24
thanks

Hello,

X2Go issue #488 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=c6f84a4

The issue will most likely be fixed in src:nx-libs (2:3.5.0.24).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit c6f84a448a84c07a2050ab594e1c64ea72a1071c
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed May 7 09:55:40 2014 +0200

    Configurable keystrokes: Don't ignore first XML element in keystrokes.cfg anymore. (Fixes: #488).

diff --git a/debian/changelog b/debian/changelog
index 4034c89..f0ba3dd 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,6 +7,8 @@ nx-libs (2:3.5.0.24-0x2go1) UNRELEASED; urgency=low
     + Fix: nx-libs source: not-binnmuable-all-depends-any x2goagent -> nxagent.
   * Update 320_nxagent_configurable-keystrokes.full.patch: The keystrokes config
     file's default name now is keystrokes.cfg (plural).
+  * Configurable keystrokes: Don't ignore first XML element in keystrokes.cfg
+    anymore. (Fixes: #488).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 06 May 2014 18:34:36 +0200
 


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#488; Package nxagent. (Wed, 07 May 2014 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 07 May 2014 08:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 488@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 488-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 488@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Wed, 7 May 2014 09:59:48 +0200 (CEST)
close #488
thanks

Hello,

we are very hopeful that X2Go issue #488 reported by you
has been resolved in the new release (2:3.5.0.24) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.24)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=b0503de5c73b9c83b73edf9d165e83f508dff7f0;hp=085bfbd2525a4868a6b8dd3007bab82b8b35b769

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.24-0x2go1
Status: RELEASE
Date: Wed, 07 May 2014 09:55:48 +0200
Fixes: 488
Changes: 
 nx-libs (2:3.5.0.24-0x2go1) RELEASED; urgency=low
 .
   * Clean up debian/patches/series: Remove commented out patches.
   * Make sure, patch 056_nx-X11-Werror-format-security.full.patch gets
     included into rolled tarball (by renaming *.patch to *.full.patch).
   * Update 320_nxagent_configurable-keystrokes.full.patch: The keystrokes config
     file's default name now is keystrokes.cfg (plural).
   * Configurable keystrokes: Don't ignore first XML element in keystrokes.cfg
     anymore. (Fixes: #488).
   * debian/control:
     + Fix: nx-libs source: not-binnmuable-all-depends-any x2goagent -> nxagent.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 07 May 2014 08:00:03 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Wed, 07 May 2014 08:00:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 07 May 2014 08:00:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.24. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 07 May 2014 08:00:04 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#488. (Wed, 07 May 2014 08:00:04 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#488. (Wed, 07 May 2014 08:00:04 GMT) Full text and rfc822 format available.

Message #29 received at 488-submitter@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 488-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 488@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Wed, 7 May 2014 09:59:49 +0200 (CEST)
close #488
thanks

Hello,

we are very hopeful that X2Go issue #488 reported by you
has been resolved in the new release (2:3.5.0.24) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.24)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=9dcdbd349b7ed08cb313dfaaeb4fae01f322060b;hp=085bfbd2525a4868a6b8dd3007bab82b8b35b769

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.24-0x2go1
Status: RELEASE
Date: Wed, 07 May 2014 09:55:48 +0200
Fixes: 488
Changes: 
 nx-libs (2:3.5.0.24-0x2go1) RELEASED; urgency=low
 .
   * Clean up debian/patches/series: Remove commented out patches.
   * Make sure, patch 056_nx-X11-Werror-format-security.full.patch gets
     included into rolled tarball (by renaming *.patch to *.full.patch).
   * Update 320_nxagent_configurable-keystrokes.full.patch: The keystrokes config
     file's default name now is keystrokes.cfg (plural).
   * Configurable keystrokes: Don't ignore first XML element in keystrokes.cfg
     anymore. (Fixes: #488).
   * debian/control:
     + Fix: nx-libs source: not-binnmuable-all-depends-any x2goagent -> nxagent.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#488; Package nxagent. (Wed, 07 May 2014 08:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 07 May 2014 08:05:01 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#488. (Wed, 07 May 2014 08:05:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 05 Jun 2014 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jul 18 13:11:22 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.